(* Mathematica Package *)

BeginPackage["CURLInfo`",{"CURLLink`"}]
(* Exported symbols added here with SymbolName::usage *)  

CURLEEnum::usage = "CURLEEnum "

Begin["`Private`"] (* Begin Private Context *) 

$CURLPostRedir = 3

CURLLink`$CURLOptions = {
	"CURLOPT_WRITEFUNCTION"	->	20011,
	"CURLOPT_WRITEDATA"	->	10001,
	"CURLOPT_READFUNCTION"	->	20012,
	"CURLOPT_READDATA"	->	10009,
	"CURLOPT_IOCTLFUNCTION"	->	20130,
	"CURLOPT_IOCTLDATA"	->	10131,
	"CURLOPT_SEEKFUNCTION"	->	20167,
	"CURLOPT_SEEKDATA"	->	10168,
	"CURLOPT_SOCKOPTFUNCTION"	->	20148,
	"CURLOPT_SOCKOPTDATA"	->	10149,
	"CURLOPT_OPENSOCKETFUNCTION"	->	20163,
	"CURLOPT_OPENSOCKETDATA"	->	10164,
	"CURLOPT_PROGRESSFUNCTION"	->	20056,
	"CURLOPT_PROGRESSDATA"	->	10057,
	"CURLOPT_HEADERFUNCTION"	->	20079,
	"CURLOPT_WRITEHEADER"	->	10029,
	"CURLOPT_DEBUGFUNCTION"	->	20094,
	"CURLOPT_DEBUGDATA"	->	10095,
	"CURLOPT_SSL_CTX_FUNCTION"	->	20108,
	"CURLOPT_SSL_CTX_DATA"	->	10109,
	"CURLOPT_CONV_TO_NETWORK_FUNCTION"	->	20143,
	"CURLOPT_CONV_FROM_NETWORK_FUNCTION"	->	20142,
	"CURLOPT_CONV_FROM_UTF8_FUNCTION"	->	20144,
	"CURLOPT_ERRORBUFFER"	->	10010,
	"CURLOPT_STDERR"	->	10037,
	"CURLOPT_FAILONERROR"	->	45,
	"CURLOPT_URL"	->	10002,
	"CURLOPT_PROTOCOLS"	->	181,
	"CURLOPT_REDIR_PROTOCOLS"	->	182,
	"CURLOPT_PROXY"	->	10004,
	"CURLOPT_PROXYPORT"	->	59,
	"CURLOPT_PROXYTYPE"	->	101,
	"CURLOPT_NOPROXY"	->	10177,
	"CURLOPT_HTTPPROXYTUNNEL"	->	61,
	"CURLOPT_SOCKS5_GSSAPI_SERVICE"	->	10179,
	"CURLOPT_SOCKS5_GSSAPI_NEC"	->	180,
	"CURLOPT_INTERFACE"	->	10062,
	"CURLOPT_LOCALPORT"	->	139,
	"CURLOPT_LOCALPORTRANGE"	->	140,
	"CURLOPT_DNS_CACHE_TIMEOUT"	->	92,
	"CURLOPT_DNS_USE_GLOBAL_CACHE"	->	91,
	"CURLOPT_BUFFERSIZE"	->	98,
	"CURLOPT_PORT"	->	3,
	"CURLOPT_TCP_NODELAY"	->	121,
	"CURLOPT_ADDRESS_SCOPE"	->	171,
	"CURLOPT_NETRC"	->	51,
	"CURLOPT_NETRC_FILE"	->	10118,
	"CURLOPT_USERPWD"	->	10005,
	"CURLOPT_PROXYUSERPWD"	->	10006,
	"CURLOPT_USERNAME"	->	10173,
	"CURLOPT_PASSWORD"	->	10174,
	"CURLOPT_PROXYUSERNAME"	->	10175,
	"CURLOPT_PROXYPASSWORD"	->	10176,
	"CURLOPT_HTTPAUTH"	->	107,
	"CURLOPT_PROXYAUTH"	->	111,
	"CURLOPT_AUTOREFERER"	->	58,
	"CURLOPT_FOLLOWLOCATION"	->	52,
	"CURLOPT_UNRESTRICTED_AUTH"	->	105,
	"CURLOPT_MAXREDIRS"	->	68,
	"CURLOPT_POSTREDIR"	->	161,
	"CURLOPT_PUT"	->	54,
	"CURLOPT_POST"	->	47,
	"CURLOPT_POSTFIELDS"	->	10015,
	"CURLOPT_POSTFIELDSIZE"	->	60,
	"CURLOPT_POSTFIELDSIZE_LARGE"	->	30120,
	"CURLOPT_COPYPOSTFIELDS"	->	10165,
	"CURLOPT_HTTPPOST"	->	10024,
	"CURLOPT_REFERER"	->	10016,
	"CURLOPT_USERAGENT"	->	10018,
	"CURLOPT_HTTPHEADER"	->	10023,
	"CURLOPT_HTTP200ALIASES"	->	10104,
	"CURLOPT_COOKIE"	->	10022,
	"CURLOPT_COOKIEFILE"	->	10031,
	"CURLOPT_COOKIEJAR"	->	10082,
	"CURLOPT_COOKIESESSION"	->	96,
	"CURLOPT_COOKIELIST"	->	10135,
	"CURLOPT_HTTPGET"	->	80,
	"CURLOPT_HTTP_VERSION"	->	84,
	"CURLOPT_IGNORE_CONTENT_LENGTH"	->	136,
	"CURLOPT_HTTP_CONTENT_DECODING"	->	158,
	"CURLOPT_HTTP_TRANSFER_DECODING"	->	157,
	"CURLOPT_TFTP_BLKSIZE"	->	178,
	"CURLOPT_FTPPORT"	->	10017,
	"CURLOPT_QUOTE"	->	10028,
	"CURLOPT_POSTQUOTE"	->	10039,
	"CURLOPT_PREQUOTE"	->	10093,
	"CURLOPT_DIRLISTONLY"	->	48,
	"CURLOPT_APPEND"	->	50,
	"CURLOPT_FTP_USE_EPRT"	->	106,
	"CURLOPT_FTP_USE_EPSV"	->	85,
	"CURLOPT_FTP_CREATE_MISSING_DIRS"	->	110,
	"CURLOPT_FTP_RESPONSE_TIMEOUT"	->	112,
	"CURLOPT_FTP_ALTERNATIVE_TO_USER"	->	10147,
	"CURLOPT_FTP_SKIP_PASV_IP"	->	137,
	"CURLOPT_FTPSSLAUTH"	->	129,
	"CURLOPT_FTP_SSL_CCC"	->	154,
	"CURLOPT_FTP_ACCOUNT"	->	10134,
	"CURLOPT_FTP_FILEMETHOD"	->	138,
	"CURLOPT_TRANSFERTEXT"	->	53,
	"CURLOPT_PROXY_TRANSFER_MODE"	->	166,
	"CURLOPT_CRLF"	->	27,
	"CURLOPT_RANGE"	->	10007,
	"CURLOPT_RESUME_FROM"	->	21,
	"CURLOPT_RESUME_FROM_LARGE"	->	30116,
	"CURLOPT_CUSTOMREQUEST"	->	10036,
	"CURLOPT_FILETIME"	->	69,
	"CURLOPT_NOBODY"	->	44,
	"CURLOPT_INFILESIZE"	->	14,
	"CURLOPT_INFILESIZE_LARGE"	->	30115,
	"CURLOPT_UPLOAD"	->	46,
	"CURLOPT_MAXFILESIZE"	->	114,
	"CURLOPT_MAXFILESIZE_LARGE"	->	30117,
	"CURLOPT_TIMECONDITION"	->	33,
	"CURLOPT_TIMEVALUE"	->	34,
	"CURLOPT_TIMEOUT"	->	13,
	"CURLOPT_TIMEOUT_MS"	->	155,
	"CURLOPT_LOW_SPEED_LIMIT"	->	19,
	"CURLOPT_LOW_SPEED_TIME"	->	20,
	"CURLOPT_MAX_SEND_SPEED_LARGE"	->	30145,
	"CURLOPT_MAX_RECV_SPEED_LARGE"	->	30146,
	"CURLOPT_MAXCONNECTS"	->	71,
	"CURLOPT_CLOSEPOLICY"	->	72,
	"CURLOPT_FRESH_CONNECT"	->	74,
	"CURLOPT_FORBID_REUSE"	->	75,
	"CURLOPT_CONNECTTIMEOUT"	->	78,
	"CURLOPT_CONNECTTIMEOUT_MS"	->	156,
	"CURLOPT_IPRESOLVE"	->	113,
	"CURLOPT_CONNECT_ONLY"	->	141,
	"CURLOPT_USE_SSL"	->	119,
	"CURLOPT_SSLCERT"	->	10025,
	"CURLOPT_SSLCERTTYPE"	->	10086,
	"CURLOPT_SSLKEY"	->	10087,
	"CURLOPT_SSLKEYTYPE"	->	10088,
	"CURLOPT_KEYPASSWD"	->	10026,
	"CURLOPT_SSLENGINE"	->	10089,
	"CURLOPT_SSLENGINE_DEFAULT"	->	90,
	"CURLOPT_SSLVERSION"	->	32,
	"CURLOPT_SSL_VERIFYPEER"	->	64,
	"CURLOPT_CAINFO"	->	10065,
	"CURLOPT_ISSUERCERT"	->	10170,
	"CURLOPT_CAPATH"	->	10097,
	"CURLOPT_CRLFILE"	->	10169,
	"CURLOPT_SSL_VERIFYHOST"	->	81,
	"CURLOPT_CERTINFO"	->	172,
	"CURLOPT_RANDOM_FILE"	->	10076,
	"CURLOPT_EGDSOCKET"	->	10077,
	"CURLOPT_SSL_CIPHER_LIST"	->	10083,
	"CURLOPT_SSL_SESSIONID_CACHE"	->	150,
	"CURLOPT_KRBLEVEL"	->	10063,
	"CURLOPT_SSH_AUTH_TYPES"	->	151,
	"CURLOPT_SSH_HOST_PUBLIC_KEY_MD5"	->	10162,
	"CURLOPT_SSH_PUBLIC_KEYFILE"	->	10152,
	"CURLOPT_SSH_PRIVATE_KEYFILE"	->	10153,
	"CURLOPT_SSH_KNOWNHOSTS"	->	10183,
	"CURLOPT_SSH_KEYFUNCTION"	->	20184,
	"CURLOPT_PRIVATE"	->	10103,
	"CURLOPT_SHARE"	->	10100,
	"CURLOPT_NEW_FILE_PERMS"	->	159,
	"CURLOPT_NEW_DIRECTORY_PERMS"	->	160,
	"CURLOPT_TELNETOPTIONS"	->	10070,
	"CURLOPT_SSL_OPTIONS"	->	216,
	"CURLOPT_ACCEPT_ENCODING"	->	10102
}

Do[
	CURLLink`CURLOptionQ[First@CURLLink`$CURLOptions[[i]]] := True,
	{i, Length[CURLLink`$CURLOptions]}
]

CURLLink`CURLOptionQ[_] := False

(***************************************************************)
End[] (* End Private Context *)

EndPackage[]